using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp
{
    class Mango
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string a = s.Substring(0, 1);
            string b = s.Substring(1, 1);
            string x = "";
            string[] c = Console.ReadLine().Split();
            int n = int.Parse(c[0]);
            int m = int.Parse(c[1]);
            if (n == m)
            {
                for (int i = 0; i < n + m; i++)
                {
                    if (i % 2 == 0)
                    {
                        x += a;
                    }
                    else
                    {
                        x += b;
                    }
                }
                Console.WriteLine(x);
            }
            else if (n == m + 1)
            {
                for (int i = 0; i < n + m; i++)
                {
                    if (i % 2 == 0)
                    {
                        x += a;
                    }
                    else
                    {
                        x += b;
                    }
                }
                Console.WriteLine(x);
            }
            else if (n + 1 == m)
            {
                for (int i = 0; i < n + m; i++)
                {
                    if (i % 2 == 0)
                    {
                        x += b;
                    }
                    else
                    {
                        x += a;
                    }
                }
                Console.WriteLine(x);
            }
            else
            {
                Console.WriteLine("nemoguce");
            }
        }
    }
}